reSID::Filter Class Reference

## Classes

struct | model_filter_t
struct | opamp_t

## Public Member Functions

void | enable_filter (bool enable)
void | adjust_filter_bias (double dac_bias)
void | set_chip_model (chip_model model)
void | set_voice_mask (reg4 mask)
void | clock (int voice1, int voice2, int voice3)
void | clock (cycle_count delta_t, int voice1, int voice2, int voice3)
void | reset ()
void | writeFC_LO (reg8)
void | writeFC_HI (reg8)
void | writeRES_FILT (reg8)
void | writeMODE_VOL (reg8)
void | input (short sample)
short | output ()
void | enable_filter (bool enable)
void | adjust_filter_bias (double dac_bias)
void | set_chip_model (chip_model model)
void | set_voice_mask (reg4 mask)
void | clock (int voice1, int voice2, int voice3)
void | clock (cycle_count delta_t, int voice1, int voice2, int voice3)
void | reset ()
void | writeFC_LO (reg8)
void | writeFC_HI (reg8)
void | writeRES_FILT (reg8)
void | writeMODE_VOL (reg8)
void | input (short sample)
short | output ()

## Protected Member Functions

void | set_sum_mix ()
void | set_w0 ()
void | set_Q ()
int | solve_gain (opamp_t *opamp, int n, int vi_t, int &x, model_filter_t &mf)
int | solve_integrate_6581 (int dt, int vi_t, int &x, int &vc, model_filter_t &mf)
void | set_sum_mix ()
void | set_w0 ()
int | solve_gain_d (opamp_t *opamp, double n, int vi_t, int &x, model_filter_t &mf)
int | solve_integrate_6581 (int dt, int vi_t, int &x, int &vc, model_filter_t &mf)
int | solve_integrate_8580 (int dt, int vi_t, int &x, int &vc, model_filter_t &mf)

## Protected Attributes

bool | enabled
reg12 | fc
reg8 | res
reg8 | filt
reg4 | mode
reg4 | vol
reg8 | voice_mask
reg8 | sum
reg8 | mix
int | Vhp
int | Vbp
int | Vbp_x
int | Vbp_vc
int | Vlp
int | Vlp_x
int | Vlp_vc
int | ve
int | v3
int | v2
int | v1
int | Vddt_Vw_2
int | Vw_bias
int | _8_div_Q
int | w0
int | _1024_div_Q
chip_model | sid_model
int | n_dac
int | nVgt

## Static Protected Attributes

static unsigned short | vcr_kVg [1<< 16]
static unsigned short | vcr_n_Ids_term [1<< 16]
static model_filter_t | model_filter [2]
static int | n_snake
static int | n_param

## Friends

class | SID

The documentation for this class was generated from the following files:

- filter.h
- filter8580new.h
- filter.cc
- filter8580new.cc